# deep-equal

deep-equal($parameter1 as item()*, $parameter2 as item()*) → xs:boolean

Compares two sequences for deep equality; string values are compared using the default collation; nodes are compared for deep equality of names and content.

Arguments
| $parameter1 | item()* | The first value to be compared
| $parameter2 | item()* | The second value to be compared
Result | xs:boolean

deep-equal($parameter1 as item()*, $parameter2 as item()*, $collation as xs:string) → xs:boolean

Compares two sequences for deep equality; string values are compared using the specified collation; nodes are compared for deep equality of names and content.

Arguments
| $parameter1 | item()* | The first value to be compared
| $parameter2 | item()* | The second value to be compared
| $collation | xs:string | The collation to be used whenever strings are compared
Result | xs:boolean

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next